Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005529TestLinkTest Plan - Add/Remove Test Casespublic2013-02-15 21:032013-05-26 18:50
ReporterAlexander Starostin 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows XP SP2OS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005529: Filters are not applied to the 'Add Test Cases to Test Plan' list
DescriptionPlease see attached picture. When one is trying to add only "High" importance test cases to test plan and set "Filters" to show only the "High" importance test cases, then the tree on the left will show correct number of "High" importance test cases in each test suite. However when a test suite is selected to list its test cases to allow adding them to test plan, the list will contain all test cases with all importancies from the test suite. It is expected the list to contain only test cases with the "High" importance (i.e. whatever is set up in the "Filters").
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 18.0.2
PHP Version5.4.7
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon ScreenShot086.png [^] (128,531 bytes) 2013-02-15 21:03


xml file icon ISSUE-5529.testproject-deep.xml [^] (1,621 bytes) 2013-02-16 09:27

- Relationships

-  Notes
(0018329)
fman (administrator)
2013-02-16 08:49

>> Please see attached picture
having a picture is ok, but is not what we request to work on an issue.
The picture is an addition, we need detailed textual steps to reproduce.
And when possible all XML exports that with allow us to setup the environment with low effort.

Follow this to understand what is the kind of documentation we need.
http://www.teamst.org/forum/viewtopic.php?f=33&t=7049&sid=034667b64bf7a97329eb27b47a9f33bc [^]
(0018330)
fman (administrator)
2013-02-16 09:26

http://gitorious.org/testlink-ga/testlink-code/commit/40178259c769d0cf3ce3879fa4e3e5f82af6cc06 [^]

- Issue History
Date Modified Username Field Change
2013-02-15 21:03 Alexander Starostin New Issue
2013-02-15 21:03 Alexander Starostin File Added: ScreenShot086.png
2013-02-16 08:49 fman Note Added: 0018329
2013-02-16 09:25 fman Tag Attached: TO BE FIXED on 2.0
2013-02-16 09:25 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-02-16 09:26 fman Note Added: 0018330
2013-02-16 09:26 fman Status new => resolved
2013-02-16 09:26 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-16 09:26 fman Resolution open => fixed
2013-02-16 09:26 fman Assigned To => fman
2013-02-16 09:27 fman File Added: ISSUE-5529.testproject-deep.xml
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker